Highlighted
jpvasgard Absent Member.
Absent Member.
2670 views

Remote Installation: Graphical installers not supported?

Hi,

I am about to go nuts over a smart connector installation.

OS: Suse Linux Enterprise 11, SP 3 -- as officially supported

Connector Version: ArcSight-5.1.2.5823.0-Connector-Linux.bin

Connection via SSH including X forwarding.

Starting "xclock" or any other puny X11 app for testing works fine.

Starting the .bin installation results in the error

Graphical installers are not supported by the VM. The console mode will be used instead...

Why? Any hints?

Cheers

Jens

Labels (1)
0 Likes
13 Replies
binkie_jhs1 Absent Member.
Absent Member.

Re: Remote Installation: Graphical installers not supported?

Jens,

take the easy road:

./ArcSight-5.1.2.5823.0-Connector-Linux.bin -i console

This will allow installation from the console.

Laters.

0 Likes
jpvasgard Absent Member.
Absent Member.

Re: Remote Installation: Graphical installers not supported?

Hi,

sure, it defaults to console mode. However, some things are much easier done using the GUI mode, like entering several LEA servers into the opsec connector configuration. Yea, I can make a CSV and somehow import it using the console, but gui is more friendly towards me

Could this be a 64bit vs 32bit libraries issue? I am using 64bit Suse and only have 64bit libs installed.

Cheers

Jens

0 Likes
binkie_jhs1 Absent Member.
Absent Member.

Re: Remote Installation: Graphical installers not supported?

Jens,

the google is full with these kind of problems. Could be 32-bit issue or some X Windows setting.

Perhaps the link will give you a solution to your issues:

http://blog.fpmurphy.com/2010/07/installing-sybase-ase-15-5-on-fedora-13.html

Although for fedora it will probably apply to your Suse as well.

Let me know.

0 Likes
jpvasgard Absent Member.
Absent Member.

Re: Remote Installation: Graphical installers not supported?

yes, I believe it is the X11 libs. I have to evaluate, which libraries are required exactly, the documentation for InstallAnywhere I could "google" did not mention the precise libraries. But I have a clear direction now. I will post, once I have resolved the issue and let you know, which libraries are required on Suse 11.

Thank you for your help!

Cheers

Jens

0 Likes
shree301 Absent Member.
Absent Member.

Re: Remote Installation: Graphical installers not supported?

Hi Jens,

I was looking for GUI solutions like in windows and fortunately seen your post and agreed with what you have mentioned.

I am curious about how to import CSV file while using console.My query is like when I wanted  to onboard number of servers  (lets say 100-200 servers) then manually adding one by one is laborious work and time consuming too.

So can you please guide me how to proceed for this situation.

Thanks in advance.

0 Likes
jpvasgard Absent Member.
Absent Member.

Re: Remote Installation: Graphical installers not supported?

Hi,

sorry for never following this up. I identified the required libraries to install in order to get the GUI working. Make sure the following is installed on Suse 11 64 Bit systems:

xorg-x11-libXau-32bit-7.4-1.15

xorg-x11-libICE-32bit-7.4-1.15

xorg-x11-libXfixes-32bit-7.4-1.14

xorg-x11-libXp-32bit-7.4-1.14

xorg-x11-libXmu-32bit-7.4-1.17

xorg-x11-libxcb-32bit-7.4-1.20.34

xorg-x11-libxkbfile-32bit-7.4-1.14

xorg-x11-libXpm-32bit-7.4-1.17

xorg-x11-libXext-32bit-7.4-1.16.21

xorg-x11-libXv-32bit-7.4-1.14

xorg-x11-libSM-32bit-7.4-1.18

xorg-x11-libXprintUtil-32bit-7.4-1.17

xorg-x11-libfontenc-32bit-7.4-1.15

xorg-x11-libX11-32bit-7.4-5.5

xorg-x11-libXrender-32bit-7.4-1.14

xorg-x11-libXdmcp-32bit-7.4-1.15

xorg-x11-libXt-32bit-7.4-1.17

xorg-x11-libs-32bit-7.4-8.24.2

Using the GUI will then work as expected, including easy import of CSV files.

Cheers

Jens

0 Likes
jpvasgard Absent Member.
Absent Member.

Re: Remote Installation: Graphical installers not supported?

In order to have the flex connector installation GUI working on 64bit Linux, make sure the necessary 32bit Xlibs are installed:

xorg-x11-libXau-32bit-7.4-1.15

xorg-x11-libICE-32bit-7.4-1.15

xorg-x11-libXfixes-32bit-7.4-1.14

xorg-x11-libXp-32bit-7.4-1.14

xorg-x11-libXmu-32bit-7.4-1.17

xorg-x11-libxcb-32bit-7.4-1.20.34

xorg-x11-libxkbfile-32bit-7.4-1.14

xorg-x11-libXpm-32bit-7.4-1.17

xorg-x11-libXext-32bit-7.4-1.16.21

xorg-x11-libXv-32bit-7.4-1.14

xorg-x11-libSM-32bit-7.4-1.18

xorg-x11-libXprintUtil-32bit-7.4-1.17

xorg-x11-libfontenc-32bit-7.4-1.15

xorg-x11-libX11-32bit-7.4-5.5

xorg-x11-libXrender-32bit-7.4-1.14

xorg-x11-libXdmcp-32bit-7.4-1.15

xorg-x11-libXt-32bit-7.4-1.17

xorg-x11-libs-32bit-7.4-8.24.2

0 Likes
etjacobsen Absent Member.
Absent Member.

Re: Remote Installation: Graphical installers not supported?

Different operating system (RHEL), but I was missing the 32bit version of libXtst.so.6 which had me stuck at the "Graphical installers are not supported by the VM" error.  Posting this in case it helps someone; I spent half a day looking for the missing library.

0 Likes
bill.ryals
New Member.

Re: Remote Installation: Graphical installers not supported?

So if you look at the last Smart Connectors User Guide dated September 28, 2012 on page 25 they added a section on the 32bit Libs. So now it is apparent support for true 64Bit OS is not there, we must install 32bit Libs to support GUI install of the Connectors. Too bad we have all been asking the same question for a few months and now we get an answer.

0 Likes
etjacobsen Absent Member.
Absent Member.

Re: Remote Installation: Graphical installers not supported?

I ran into this while installing the PCI Compliance Insight Pack, so it's not just the SmartConnector installer that has the issue.  What is odd, however, is that the 5.3 Installer does not have this issue -- I successfully installed the 5.3 upgrade via the GUI then couldn't run the CIP installer.

0 Likes
akhanzada Absent Member.
Absent Member.

Re: Remote Installation: Graphical installers not supported?

Installing libXtst might do the trick.

0 Likes
le0n8311 Absent Member.
Absent Member.

Re: Remote Installation: Graphical installers not supported?

I know this is an old post but for Redhat (RedHat Derivative) run:

yum install libXtst.i686

That should do the trick

0 Likes
mgjk2 Respected Contributor.
Respected Contributor.

Re: Remote Installation: Graphical installers not supported?

This sorted it out perfectly for me.  Thanks.

My command was:

$ sudo yum install libXtst.i686

Dependencies were met and everything.  Now I can run my flexagentwizard.

0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.